# Get a user

```
GET 
/users/:id
```

Get a single user by their id.

## Request[​](#request "Direct link to Request")

### Path Parameters

* **id**
  <!-- -->
  string\<uuid>required

  The unique identifier of the Copilot API user.

  **Example:<!-- -->&#x20;**`23A9981B-9E46-4ADB-BB0B-8E406C624540`

## Responses[​](#responses "Direct link to Responses")

* 200

User.

* application/json

- Schema
- Example (from schema)

**Schema**

* **id**uuidrequired

  A unique identifier.

  **Example:<!-- -->&#x20;**`98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6`

  **activated**booleanrequired

  Always true unless you explicitly [deactivate](/core-api/reference/2024-04-22/server/deactivate-copilot-user.md) the user.

  **external\_id**stringnullable

  A unique identifier for the user from another system which is given to Nabla.

  **Possible values:** `<= 256 characters`

  ******metadata**objectnullable

  **property name\***&#x73;tring

  **Possible values:** `<= 500 characters`

  **created\_at**date-timerequired

  The creation date of this object, in ISO 8601 format.

  **Example:<!-- -->&#x20;**`2022-03-10T19:16:23.456Z`

  **email**emailnullablerequireddeprecated

  This is a deprecated feature, you should not have use-cases where you create Nabla email-based accounts for your API users. Please [reach out](https://www.nabla.com/copilot-contact/) if anything.

  **roles**role (string)\[]requireddeprecated

  This is a deprecated feature, you should not have use-cases where you create users with roles other than practitioner from the API. Please [reach out](https://www.nabla.com/copilot-contact/) if anything.

  **Possible values:** \[`ADMINISTRATOR`, `PRACTITIONER`]

```
{

  "id": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",

  "activated": true,

  "external_id": "string",

  "metadata": {},

  "created_at": "2022-03-10T19:16:23.456Z"

}
```

## Operation spec

```json
{
  "method": "get",
  "path": "/users/{id}",
  "operationId": "get-copilot-user",
  "parameters": [
    {
      "name": "id",
      "description": "The unique identifier of the Copilot API user.",
      "in": "path",
      "required": true,
      "schema": {
        "type": "string",
        "format": "uuid",
        "description": "A unique identifier.",
        "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
        "title": "uuid"
      },
      "example": "23A9981B-9E46-4ADB-BB0B-8E406C624540"
    }
  ],
  "responses": {
    "200": {
      "description": "User.",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "description": "The user object.",
            "properties": {
              "id": {
                "type": "string",
                "format": "uuid",
                "description": "A unique identifier.",
                "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                "title": "uuid"
              },
              "activated": {
                "type": "boolean",
                "description": "Always true unless you explicitly [deactivate](/server/deactivate-copilot-user) the user."
              },
              "external_id": {
                "type": "string",
                "description": "A unique identifier for the user from another system which is given to Nabla.",
                "nullable": true,
                "maxLength": 256
              },
              "metadata": {
                "type": "object",
                "description": "You can use this parameter to attach key-value data to the object. You can specify up to 50 keys, with key names up to 40 characters long, all values must be of type string and up to 500 characters long.\n\nYou should **not** use this to store Protected Health Information (PHI) or any patient-related data.",
                "nullable": true,
                "additionalProperties": {
                  "type": "string",
                  "maxLength": 500
                },
                "maxProperties": 50,
                "title": "metadata"
              },
              "created_at": {
                "type": "string",
                "format": "date-time",
                "description": "The creation date of this object, in ISO 8601 format.",
                "example": "2022-03-10T19:16:23.456Z",
                "title": "created_at"
              },
              "email": {
                "deprecated": true,
                "type": "string",
                "format": "email",
                "nullable": true,
                "description": "This is a deprecated feature, you should not have use-cases where you create Nabla email-based accounts for your API users. Please [reach out](https://www.nabla.com/copilot-contact/) if anything."
              },
              "roles": {
                "deprecated": true,
                "type": "array",
                "description": "This is a deprecated feature, you should not have use-cases where you create users with roles other than practitioner from the API. Please [reach out](https://www.nabla.com/copilot-contact/) if anything.",
                "items": {
                  "type": "string",
                  "example": "PRACTITIONER",
                  "enum": [
                    "ADMINISTRATOR",
                    "PRACTITIONER"
                  ],
                  "title": "role"
                }
              }
            },
            "required": [
              "id",
              "email",
              "roles",
              "activated",
              "created_at"
            ],
            "title": "user"
          }
        }
      }
    }
  }
}
```
